Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.wireadmin
Interface WireAdminListener

public interface WireAdminListener

Listener for Wire Admin Events.

`WireAdminListener` objects are registered with the Framework service registry and are notified with a `WireAdminEvent` object when an event is broadcast.

`WireAdminListener` objects can inspect the received `WireAdminEvent` object to determine its type, the `Wire` object with which it is associated, and the Wire Admin service that broadcasts the event.

`WireAdminListener` objects must be registered with a service property `WireConstants.WIREADMIN_EVENTS` whose value is a bitwise OR of all the event types the listener is interested in receiving.

For example:

      Integer mask = new Integer( WIRE_TRACE
       | WIRE_CONNECTED
       | WIRE_DISCONNECTED );
      Hashtable ht = new Hashtable();
      ht.put( WIREADMIN_EVENTS, mask );
      context.registerService(
         WireAdminListener.class.getName(), this, ht );

If a `WireAdminListener` object is registered without a service property `WireConstants.WIREADMIN_EVENTS`, then the `WireAdminListener` will receive no events.

Security Considerations. Bundles wishing to monitor `WireAdminEvent` objects will require `ServicePermission[REGISTER,WireAdminListener]` to register a `WireAdminListener` service. Since `WireAdminEvent` objects contain `Wire` objects, care must be taken in assigning permission to register a `WireAdminListener` service.

See Also:
  `WireAdminEvent`

Method Summary
`void` | `wireAdminEvent(WireAdminEvent event)` Receives notification of a broadcast `WireAdminEvent` object.

Method Detail

### wireAdminEvent

    public void wireAdminEvent(WireAdminEvent event)

  Receives notification of a broadcast `WireAdminEvent` object. The event object will be of an event type specified in this `WireAdminListener` service's `WireConstants.WIREADMIN_EVENTS` service property.
  Parameters:
    `event` - The `WireAdminEvent` object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) OSGi Alliance (2000, 2003). All Rights Reserved.